summaryrefslogtreecommitdiff
path: root/src/StardewModdingAPI/unix-launcher.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/StardewModdingAPI/unix-launcher.sh')
-rw-r--r--src/StardewModdingAPI/unix-launcher.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/src/StardewModdingAPI/unix-launcher.sh b/src/StardewModdingAPI/unix-launcher.sh
index 93e33c78..bf0e9d5e 100644
--- a/src/StardewModdingAPI/unix-launcher.sh
+++ b/src/StardewModdingAPI/unix-launcher.sh
@@ -64,4 +64,12 @@ else
else
$LAUNCHER
fi
+
+ # some Linux users get error 127 (command not found) from the above block, even though
+ # `command -v` indicates the command is valid. As a fallback, launch SMAPI without a terminal when
+ # that happens and pass in an argument indicating SMAPI shouldn't try writing to the terminal
+ # (which can be slow if there is none).
+ if [ $? -eq 127 ]; then
+ $LAUNCHER --no-terminal
+ fi
fi